/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::FreeDesktop::ObjectManager::Server -i server.h -i types.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This was an auto-generated file.
 */

#include "adaptor.h"
#include <QtCore/QMetaObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>

/*
 * Implementation of adaptor class ObjectManagerAdaptor
 */

ObjectManagerAdaptor::ObjectManagerAdaptor(
	Oscl::Qt::DBus::FreeDesktop::
	ObjectManager::ContextApi&		contextApi,
	const QDBusConnection&			bus,
	QObject*						parent
	) :
		QDBusAbstractAdaptor(parent),
		_contextApi(contextApi),
		_bus(bus)
		{
    setAutoRelaySignals(true);
	}

ObjectManagerAdaptor::~ObjectManagerAdaptor() {
	}

Oscl::Qt::DBus::FreeDesktop::ObjectManager::ManagedObjectList
ObjectManagerAdaptor::GetManagedObjects(
	const QDBusMessage& message
	){

	Oscl::Qt::DBus::FreeDesktop::ObjectManager::ManagedObjectList	managedObjects;

	_contextApi.getManagedObjectsReceived(managedObjects);

	return managedObjects;
	}

